'use strict';

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('selectors', function () {
  it('should return the correct state', function () {
    var state = {
      geolocation: (0, _index.createInitialState)()
    };
    (0, _expect2.default)((0, _index.selector)(state)).toEqual((0, _index.createInitialState)());
  });
});

describe('actions', function () {
  // it('saveGeolocation()', () => {
  //   const payload = {
  //     latitude: 1234,
  //     longitude: 5678,
  //   };
  //   const result = actions.saveGeolocation(payload);
  //   expect(result).toEqual({
  //     type: types.SAVE_GEOLOCATION,
  //     payload
  //   })
  // });
});

describe('reducer', function () {
  it('should return the correct state when no action matches', function () {
    var initialState = (0, _index.createInitialState)();
    var state = (0, _index2.default)(initialState, {});
    (0, _expect2.default)(state).toEqual(initialState);
  });

  it('should return the correct state and not include the password', function () {
    // const payload = {
    //   latitude: 1234,
    //   longitude: 5678,
    // };
    // const state = reducer(createInitialState(), actions.saveGeolocation(payload));
    // expect(state).toEqual({ error: null, ...payload });
  });
});